Home

# Class goog.editor.plugins.LoremIpsum

A plugin that manages lorem ipsum state of editable fields.

extends goog.editor.Plugin

Instance Method Summary
| `clearLorem_(boolean= opt_placeCursor)` Clear an EditableField's lorem ipsum and put in initial text if needed. If using click-to-edit mode (where Trogedit manages whether the field is editable), this works for both editable and uneditable fields. TODO(user): Is this really necessary? See TODO below.
| `execCommand(string command, boolean placeCursor)` Handles execCommand.
| `isSupportedCommand(string command) ⇒ boolean` Whether the string corresponds to a command this plugin handles.
| `queryCommandValue(string command) ⇒ boolean` Handles queryCommandValue.
| `updateLorem_()` Set the lorem ipsum text in a goog.editor.Field if needed.